Download it now!
Bug 31597 - Compilation fails
Summary: Compilation fails
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-13 06:22 UTC by Samuel de Framond
Modified: 2011-06-20 18:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel de Framond 2010-11-13 06:22:28 UTC
On Ubuntu 10.10 (gnome), the compilation fails when compiling a fresh download. Just running:

cd ./rawbuild
source ./LinuxX86Env.Set.sh
cd FAILING_MODULE
rm -rf unxlngi6.pro
build

fixes the compilation for one module. I have to do this for each fail, wich is tedious.

see http://pastie.org/1295060
and http://pastie.org/1295065
Comment 1 Samuel de Framond 2010-11-13 06:28:03 UTC
I forgot my autogen settings:

./autogen.sh --with-git --enable-icecream --with-num-cpus=2 --with-max-jobs=4 --disable-kde --without-junit --with-gcc-home=/usr/lib/icecc
Comment 2 Samuel de Framond 2010-11-14 04:42:02 UTC
I think I should also write this:

> gcc --version
gcc (Ubuntu/Linaro 4.4.4-14ubuntu5) 4.4.5
[...]
>ld --version
GNU ld (GNU Binutils for Ubuntu) 2.20.51-system.20100908
[...]
Comment 3 Samuel de Framond 2010-11-14 05:41:16 UTC
Disabling icecream seem to fix that bug.
Comment 4 Jeffrey 2011-06-20 18:05:34 UTC
I will mark this as resolved as the original poster fixed the problem.